getIncidentEvents
Examples
Arguments
Argument
Description
Supported fields
Fields
Field
Description
Supported fields
Last updated
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
"query": "query GetIncidentEvents($incidentId: String!, $limit: Int, $offset: Int) { getIncidentEvents(incidentId: $incidentId, limit: $limit, offset: $offset) { items { id incidentId kind message actor createdAt } totalCount hasMore } }",
"variables": {
"incidentId": "example",
"limit": 100,
"offset": 0
}
}'const query = 'query GetIncidentEvents($incidentId: String!, $limit: Int, $offset: Int) { getIncidentEvents(incidentId: $incidentId, limit: $limit, offset: $offset) { items { id incidentId kind message actor createdAt } totalCount hasMore } }';
fetch("https://api.cloud.ox.security/api/apollo-gateway", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_TOKEN"
},
body: JSON.stringify({
query: query,
// This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
variables: {
incidentId: "example",
limit: 100,
offset: 0
}
})
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));import requests
query = 'query GetIncidentEvents($incidentId: String!, $limit: Int, $offset: Int) { getIncidentEvents(incidentId: $incidentId, limit: $limit, offset: $offset) { items { id incidentId kind message actor createdAt } totalCount hasMore } }'
response = requests.post(
"https://api.cloud.ox.security/api/apollo-gateway",
headers={
"Content-Type": "application/json",
"Authorization": "YOUR_API_TOKEN"
},
json={
"query": query,
# This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
"variables": {
"incidentId": "example",
"limit": 100,
"offset": 0
}
}
)
if response.status_code == 200:
result = response.json()
print(result)
else:
print(f"Error: {response.status_code}")
print(response.text)